#!/usr/bin/env python3
import subprocess
import sys
from NetLib import ogGetIpAddress

def get_ip_address(*args):
    try:
        # Ejecuta ogGetIpAddress como un comando en el sistema
        result = subprocess.run(["/opt/opengnsys/client/lib/engine/bin/ogGetIpAddress"] + list(args), 
                                capture_output=True, text=True, check=True)
        print(result.stdout.strip())
    except subprocess.CalledProcessError as e:
        print(f"Error ejecutando ogGetIpAddress: {e}", file=sys.stderr)
        sys.exit(1)

if __name__ == "__main__":
    get_ip_address(*sys.argv[1:])
